<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myCompensatingControlWorksheetLabel" jhiTranslate="pcidssApp.compensatingControlWorksheet.home.createOrEditLabel">Create or edit a Compensating Control Worksheet</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!compensatingControlWorksheet.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="compensatingControlWorksheet.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.compensatingControlWorksheet.requiredInformation" for="field_requiredInformation">Required Information</label>
            <input type="text" class="form-control" name="requiredInformation" id="field_requiredInformation"
                [(ngModel)]="compensatingControlWorksheet.requiredInformation"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.compensatingControlWorksheet.worksheetType" for="field_worksheetType">Worksheet Type</label>
            <input type="text" class="form-control" name="worksheetType" id="field_worksheetType"
                [(ngModel)]="compensatingControlWorksheet.worksheetType"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
